	"/*-\n"
	" * Copyright (c) 2006 Verdens Gang AS\n"
	" * Copyright (c) 2006-2008 Linpro AS\n"
	" * All rights reserved.\n"
	" *\n"
	" * Author: Poul-Henning Kamp <phk@phk.freebsd.dk>\n"
	" *\n"
	" * Redistribution and use in source and binary forms, with or without\n"
	" * modification, are permitted provided that the following conditions\n"
	" * are met:\n"
	" * 1. Redistributions of source code must retain the above copyright\n"
	" *    notice, this list of conditions and the following disclaimer.\n"
	" * 2. Redistributions in binary form must reproduce the above copyright\n"
	" *    notice, this list of conditions and the following disclaimer in the\n"
	" *    documentation and/or other materials provided with the distribution.\n"
	" *\n"
	" * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND\n"
	" * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE\n"
	" * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE\n"
	" * ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE\n"
	" * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL\n"
	" * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS\n"
	" * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n"
	" * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT\n"
	" * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY\n"
	" * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF\n"
	" * SUCH DAMAGE.\n"
	" *\n"
	" * $Id: default.vcl 3206 2008-09-19 20:49:30Z phk $\n"
	" *\n"
	" * The default VCL code.\n"
	" *\n"
	" * NB! You do NOT need to copy & paste all of this into your won vcl code,\n"
	" * if you do not handle one of the functions, the compiler will automaticall\n"
	" * fall back to the default code.\n"
	" *\n"
	" * This code will be prefixed with a backend declaration built from the\n"
	" * -b argument.\n"
	" */\n"
	"\n"
	"sub vcl_recv {\n"
	"    if (req.request != \"GET\" &&\n"
	"      req.request != \"HEAD\" &&\n"
	"      req.request != \"PUT\" &&\n"
	"      req.request != \"POST\" &&\n"
	"      req.request != \"TRACE\" &&\n"
	"      req.request != \"OPTIONS\" &&\n"
	"      req.request != \"DELETE\") {\n"
	"        /* Non-RFC2616 or CONNECT which is weird. */\n"
	"        pipe;\n"
	"    }\n"
	"    if (req.request != \"GET\" && req.request != \"HEAD\") {\n"
	"        /* We only deal with GET and HEAD by default */\n"
	"        pass;\n"
	"    }\n"
	"    if (req.http.Authorization || req.http.Cookie) {\n"
	"        /* Not cacheable by default */\n"
	"        pass;\n"
	"    }\n"
	"    lookup;\n"
	"}\n"
	"\n"
	"sub vcl_pipe {\n"
	"    pipe;\n"
	"}\n"
	"\n"
	"sub vcl_pass {\n"
	"    pass;\n"
	"}\n"
	"\n"
	"sub vcl_hash {\n"
	"    set req.hash += req.url;\n"
	"    if (req.http.host) {\n"
	"        set req.hash += req.http.host;\n"
	"    } else {\n"
	"        set req.hash += server.ip;\n"
	"    }\n"
	"    hash;\n"
	"}\n"
	"\n"
	"sub vcl_hit {\n"
	"    if (!obj.cacheable) {\n"
	"        pass;\n"
	"    }\n"
	"    deliver;\n"
	"}\n"
	"\n"
	"sub vcl_miss {\n"
	"    fetch;\n"
	"}\n"
	"\n"
	"sub vcl_fetch {\n"
	"    if (!obj.cacheable) {\n"
	"        pass;\n"
	"    }\n"
	"    if (obj.http.Set-Cookie) {\n"
	"        pass;\n"
	"    }\n"
	"    set obj.prefetch =  -30s;\n"
	"    deliver;\n"
	"}\n"
	"\n"
	"sub vcl_deliver {\n"
	"    deliver;\n"
	"}\n"
	"\n"
	"sub vcl_discard {\n"
	"    /* XXX: Do not redefine vcl_discard{}, it is not yet supported */\n"
	"    discard;\n"
	"}\n"
	"\n"
	"sub vcl_prefetch {\n"
	"    /* XXX: Do not redefine vcl_prefetch{}, it is not yet supported */\n"
	"    fetch;\n"
	"}\n"
	"\n"
	"sub vcl_timeout {\n"
	"    /* XXX: Do not redefine vcl_timeout{}, it is not yet supported */\n"
	"    discard;\n"
	"}\n"
	"\n"
	"sub vcl_error {\n"
	"    set obj.http.Content-Type = \"text/html; charset=utf-8\";\n"
	"    synthetic {\"\n"
	"<?xml version=\"1.0\" encoding=\"utf-8\"?>\n"
	"<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n"
	" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"
	"<html>\n"
	"  <head>\n"
	"    <title>\"} obj.status \" \" obj.response {\"</title>\n"
	"  </head>\n"
	"  <body>\n"
	"    <h1>Error \"} obj.status \" \" obj.response {\"</h1>\n"
	"    <p>\"} obj.response {\"</p>\n"
	"    <h3>Guru Meditation:</h3>\n"
	"    <p>XID: \"} req.xid {\"</p>\n"
	"    <address><a href=\"http://www.varnish-cache.org/\">Varnish</a></address>\n"
	"  </body>\n"
	"</html>\n"
	"\"};\n"
	"    deliver;\n"
	"}\n"
